unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, Clipbrd;

type
  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    CheckBox1: TCheckBox;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    ComboBox2: TComboBox;
    CheckBox2: TCheckBox;
    ComboBox3: TComboBox;
    CheckBox3: TCheckBox;
    ComboBox4: TComboBox;
    CheckBox4: TCheckBox;
    ComboBox5: TComboBox;
    CheckBox5: TCheckBox;
    ComboBox6: TComboBox;
    CheckBox6: TCheckBox;
    ComboBox7: TComboBox;
    CheckBox7: TCheckBox;
    ComboBox8: TComboBox;
    CheckBox8: TCheckBox;
    ComboBox9: TComboBox;
    CheckBox9: TCheckBox;
    ComboBox10: TComboBox;
    CheckBox10: TCheckBox;
    ComboBox11: TComboBox;
    CheckBox11: TCheckBox;
    ComboBox12: TComboBox;
    CheckBox12: TCheckBox;
    Edit1: TMenuItem;
    Copy1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

const
  titles: array[1..12] of String = ('yz','y^Cgz','yWz','yURLz','yXN[Vbgz','y쎞ԁz','yJz','yl^DLeʁz','yTvz','y@z','yRg(z)z','ŷz');

implementation

{$R *.dfm}

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.Copy1Click(Sender: TObject);
var
  ClipTmp:  String;
  i:  Integer;

  CheckBox :  TCheckBox;
  ComboBox: TComboBox;


begin



  ClipTmp:='';

  for i:=1 to 12 do
  begin
    CheckBox := TCheckBox(FindComponent('CheckBox'+IntToStr(i)));

    if CheckBox.Checked then
    begin
      ComboBox := TComboBox( FindComponent('ComboBox'+IntToStr(i)) );
      ClipTmp:= ClipTmp + titles[i] + ComboBox.Text + #13#10;
    end;

  end;

  Clipboard.AsText:=ClipTmp;

end;

procedure TForm1.FormDestroy(Sender: TObject);
var
  Filename: String;
  i:  Integer;

  CheckBox :  TCheckBox;
  ComboBox: TComboBox;

  StringList: TStringList;
begin
  StringList := TStringList.Create;
  StringList.Duplicates := dupIgnore;

  for i:=1 to 12 do
  begin
    CheckBox := TCheckBox(FindComponent('CheckBox'+IntToStr(i)));

    if CheckBox.Checked then
    begin
      Filename:=ExtractFilePath(Application.ExeName) + titles[i] + '.txt';

      StringList.Clear;
      if FileExists(Filename) then
        StringList.LoadFromFile(Filename);

      ComboBox := TComboBox( FindComponent('ComboBox'+IntToStr(i)) );

      if ComboBox.Text = '' then
        continue;

      StringList.Add(ComboBox.Text);

      StringList.Sort;
      StringList.SaveToFile(Filename);
    end;

  end;

  StringList.Free;

end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Filename: String;
  i, j:  Integer;

  ComboBox: TComboBox;

  StringList: TStringList;
begin
  StringList:=TStringList.Create;
  StringList.Duplicates := dupIgnore;

  for i:=1 to 12 do
  begin
    Filename:=ExtractFilePath(Application.ExeName) + titles[i] + '.txt';

    if FileExists(Filename) then
    begin

      StringList.LoadFromFile(Filename);

      for j:=0 to StringList.Count-1 do
      begin
        ComboBox := TComboBox( FindComponent('ComboBox'+IntToStr(i)) );
        ComboBox.Items.Add(StringList[j]);
      end;

      if StringList.Count>2 then
        StringList.Sort;

      StringList.SaveToFile(Filename);

    end;

  end;
  StringList.Free;

end;

end.

